curl --request DELETE \
--url https://{instance}.domo.com/api/datastores/v1/collections/{collectionId}/permission/{entity}/{entityId} \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/api/datastores/v1/collections/{collectionId}/permission/{entity}/{entityId}"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/datastores/v1/collections/{collectionId}/permission/{entity}/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 403,
"toe": "4BTZ5Z37R0-WR4VI-YS9Y4"
}{
"message": "No collection with id a3f7d891-bc24-4e56-9a12-c7e3b0f845d2 found",
"status": 404,
"statusReason": "Not Found",
"toe": "UO3SB982DA-RL9G8-GO8DF"
}Delete Permissions
Remove all permissions for a user, group, or app instance on a collection.
This operation is idempotent: removing permissions for an entity that currently has none still returns 204.
If all entities’ permissions are removed, then only users with the Manage AppDB grant will still have access.
Authorizations
Domo Developer Token for authentication.
Path Parameters
The ID of the collection.
The type of entity the permissions apply to.
USER, GROUP, RYUU_APP The ID of the entity the permissions apply to. For a USER or GROUP, this is the numeric ID (for example, 870010733). For a RYUU_APP, this is the app instance's UUID — the same value as the app's datastore UUID, which also appears as the subdomain of the app's origin (e.g., https://<instance-uuid>.domoapps.domo.com).
Response
Permissions removed successfully. No response body is returned.

